Bug 60469 - neat trashes rp3 settings
neat trashes rp3 settings
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
Reported: 2002-02-27 19:19 EST by Eric Fallon
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-05 10:14:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Requested wvdial.conf file (358 bytes, text/plain)
2002-04-22 17:54 EDT, Eric Fallon
no flags Details

  None (edit)
Description Eric Fallon 2002-02-27 19:19:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
After running rp3-config and creating a new internet dialup connection the
following occurs upon running neat.

The following message is displayed when opening neat:
Copying ifcfg-ppp0 to devices and putting it into the default profile.

If you press the apply button in neat and then open rp3 you will note that the
dial-up account you created using rp3-config has been replaced with an entry
called ppp0. If you try to start this interface it will not proceed to dial. 

At this point it is necessary to re-run rp3-config and re-create your internet

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a dial-up modem account using rp3-config.
2.Open neat from command line and verify the following message:
Copying ifcfg-ppp0 to devices and putting it into the default profile.
3. Click the apply button in neat.
4. Open rp3 and note that the account created in step 1 has been replaced with a
ppp0 entry in the interface window.
5. Attempt to start the new ppp0 entry from rp3. Account is not dialed.
6. Re-run rp3-config and re-create the account you set up in step 1. 

Expected Results:  You should be able to change your eth0 settings etc. from
neat without destroying the account you created using rp3-config.

Additional info:

modem device: ttyS0
Comment 1 Harald Hoyer 2002-04-05 07:17:10 EST
please attach /etc/wvdial.conf after rp3-config
Comment 2 Eric Fallon 2002-04-22 17:54:14 EDT
Created attachment 54905 [details]
Requested wvdial.conf file
Comment 3 diego.santacruz 2002-04-25 04:40:36 EDT
I did also experience the same problem.
The problem appears to be that redhat-config-network makes the file readable
only by root, and then rp3 (when executed as non-root) cannot read the
connection name from the file, nor its settings. If rp3 is executed as root
everything is OK (because the file can be read).

I changed the file permissions to readable by all and that solved the problem.

My RPM version is redhat-config-network-0.9.10-2 (RedHat 7.2)

I guess that interfaces that are marked as startable by normal users should have
their config files with mode 644.
Comment 4 Harald Hoyer 2002-10-23 05:55:06 EDT
first beta of erratum is available at:

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.

Note You need to log in before you can comment on or make changes to this bug.